Package: org.grails.databinding

## [Groovy] Class IndexedPropertyReferenceDescriptor

- org.grails.databinding.IndexedPropertyReferenceDescriptor

-     class IndexedPropertyReferenceDescriptor
      extends java.lang.Object

  Authors:
    Jeff Brown
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `index` |
    `private java.lang.String` | `propertyName` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `index`
    `java.lang.String` | `propertyName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IndexedPropertyReferenceDescriptor ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.String index

    - #### private java.lang.String propertyName

  - ### Property Detail

    - #### java.lang.String index

    - #### java.lang.String propertyName

  - ### Constructor Detail

    - #### IndexedPropertyReferenceDescriptor()

  - ### Method Detail

    - #### @java.lang.Override java.lang.String toString()